=== debian/changelog ===
postgresql-plproxy (2.9-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 30 Oct 2019 16:57:26 +0100

postgresql-plproxy (2.9-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 16:57:26 +0100

postgresql-plproxy (2.9-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2019 15:08:59 +0200

postgresql-plproxy (2.8-3) unstable; urgency=medium

  * tests: Recent PostgreSQL minors (11.2 and friends) disallow setting
    client_min_messages higher than 'error', so suppressing errors that way
    does not work anymore. Instead, drop the "create language plpgsql" code as
    plpgsql is preinstalled by default since 9.1.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 14 Feb 2019 16:54:09 +0100

postgresql-plproxy (2.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 19 Oct 2018 10:18:52 +0200
