=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 9), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 4.1.1
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plproxy.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plproxy
XS-Testsuite: autopkgtest

Package: postgresql-9.4-plproxy
Architecture: any
Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.4
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-9.5-plproxy
Architecture: any
Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.5
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-9.6-plproxy
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.6
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-10-plproxy
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 10
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-11-plproxy
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 11
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-12-plproxy
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 12
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.
