## postgresql-plproxy 2.10.0~20220627.1436-7~1.git524ecf7.pgdg18.04+1

=== debian/changelog ===
postgresql-plproxy (2.10.0~20220627.1436-7~1.git524ecf7.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:21:41 +0200

postgresql-plproxy (2.10.0-7) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:21:41 +0200

postgresql-plproxy (2.10.0-6) unstable; urgency=medium

  * Remove tests that show varying output with PG14 libpq5, there is
    additional variation in 127.0.0.1 vs. ::1.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Oct 2021 15:19:45 +0200

postgresql-plproxy (2.10.0-5) unstable; urgency=medium

  * Add plproxy_test_4.out file for PG<=10 with PG14 libpq5 output.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Sep 2021 11:19:25 +0200

postgresql-plproxy (2.10.0-4) experimental; urgency=medium

  * Support PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 24 Jun 2021 14:40:39 +0200

postgresql-plproxy (2.10.0-3) unstable; urgency=medium

  * Skip build-time tests with newnet/newpid on non-Linux.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Nov 2020 15:20:08 +0100

postgresql-plproxy (2.10.0-2) unstable; urgency=medium

  * Add test-dependency on postgresql-common (>= 217~). (Closes: #972045)

 -- Christoph Berg <myon@debian.org>  Mon, 12 Oct 2020 23:14:45 +0200

postgresql-plproxy (2.10.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove unnecessary XS-Testsuite field in debian/control.

  [ Christoph Berg ]
  * New upstream version.
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs and run tests at build-time as well.
  * DH 13.
  * R³: no.
  * debian/tests: Simplify.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 11:37:46 +0200
