## postgresql-plproxy 2.10.0~20220627.1436-7~1.git524ecf7.pgdg+1

=== debian/changelog ===
postgresql-plproxy (2.10.0~20220627.1436-7~1.git524ecf7.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:21:41 +0200
