=== debian/changelog ===
postgresql-plproxy (2.10.0-8) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:12:01 +0200
