=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper-compat (= 13),
 flex, bison, asciidoc,
 newpid [linux-any],
 postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://pgfoundry.org/projects/plproxy/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plproxy.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plproxy

Package: postgresql-15-plproxy
Architecture: any
Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 15
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.
