=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -a --all AUTHORS doc/*.md

override_dh_pgxs_test:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	newnet pg_buildext -o 'port=5432' -c '--locale=C' -i '--auth=trust' \
		-o "unix_socket_directories=/tmp" installcheck . test postgresql-%v-plproxy
endif

%:
	dh $@ --with pgxs
