=== debian/watch ===
version=3
https://plproxy.github.io/ .*/plproxy-([0-9.]+).tar.gz
