=== debian/changelog ===
postgresql-plproxy (2.11.0-13) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117327)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:50:12 +0200

postgresql-plproxy (2.11.0-12) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:42:04 +0200

postgresql-plproxy (2.11.0-11) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:47:19 +0200

postgresql-plproxy (2.11.0-10) unstable; urgency=medium

  * New upstream version.
  * Drop build-time tests, don't work without access to /var/run/postgresql.
  * Update homepage.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Sep 2023 16:27:10 +0200

postgresql-plproxy (2.10.0-9) unstable; urgency=medium

  * Remove newpid from test dependencies.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Sep 2023 10:26:19 +0000
