=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 flex,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://plproxy.github.io/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plproxy.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plproxy

Package: postgresql-18-plproxy
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: database partitioning system for PostgreSQL 18
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.
