=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -a --all AUTHORS doc/*.md

override_dh_pgxs_test:
	# defer testing to autopkgtest

%:
	dh $@ --with pgxs
