=== debian/tests/control ===
Tests:
 installcheck,
Depends:
 postgresql-common (>= 217~),
 postgresql-common-dev,
 @,
Restrictions:
 allow-stderr,
 needs-root,
