=== debian/watch ===
version=4
https://github.com/plproxy/plproxy/tags .*/v([0-9.]+).tar.gz
